
Redmine - Defect #8256

404 on repository revision access using git

2011-04-30 10:27 - Mathias Baumann

Status: Closed Start date: 2011-04-30

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version:  

Description

1. Commit and push a new revision to your git repository

2. Load the url pointing to that commit in your browser: http://.../&lt;project&gt;/repository/revisions/&lt;hashstart&gt;. You will get a

404.

3. Load the repository overview page http://.../&lt;project&gt;/repository/

4. Load the previous url again. Everything works now.

Thus Redmine only learns about new revisions ones you loaded the overview page of the repository before. Fix sounds simple. Add

the call to update the repository to the revision access, too.

Related issues:

Is duplicate of Redmine - Defect #7146: Git adapter lost commits before 7 day... Closed 2010-12-21

History

#1 - 2011-04-30 10:50 - Toshi MARUYAMA

- Status changed from New to Closed

- Resolution set to Duplicate

Duplicate of #7146.

#2 - 2011-04-30 11:00 - Mathias Baumann

Could you explain why this is a duplicate of #7146? I can't find any relation besides that its both about git and about revisions.

#3 - 2011-04-30 11:27 - Toshi MARUYAMA

Please see https://www.chiliproject.org/issues/214

https://www.chiliproject.org/projects/chiliproject/repository/revisions/887a10ac6001551facf142520456301bfdcbc286

https://www.chiliproject.org/projects/chiliproject/repository/revisions/8a863a4f1b0f2ecca9e6959bc94f6c7b5a1e194f

#4 - 2011-04-30 11:30 - Toshi MARUYAMA

https://github.com/chiliproject/chiliproject/commit/887a10ac6001551facf142520456301bfdcbc286

https://github.com/chiliproject/chiliproject/commit/8a863a4f1b0f2ecca9e6959bc94f6c7b5a1e194f
